#pragma once

#include <saas/rtyserver/indexer_core/parsed_document.h>
#include <saas/rtyserver/indexer_core/document_parser.h>

class TTemplateComponentConfig;

class TTemplateParsedEntity: public TParsedDocument::TParsedEntity {
public:
    TTemplateParsedEntity(TConstructParams& params);
};

class TTemplateComponentParser: public TComponentParser {
private:
    const TTemplateComponentConfig* Config;

public:
    explicit TTemplateComponentParser(const TRTYServerConfig& config);
    virtual void Parse(TParsingContext& context) const;
};
